<?xml version="1.0" encoding="UTF-8"?>

<namespace xmlns="http://www.mulesoft.org/schema/mule/tooling.attributes" xmlns:mule="http://www.mulesoft.org/schema/mule/core" prefix="ftpserver" url="http://www.mulesoft.org/schema/mule/ftpserver">
  <global-cloud-connector extends="http://www.mulesoft.org/schema/mule/ftpserver/abstractFtpserverConnectorGeneric" abstract="true" image="" localId="parentConfig" icon="" description="" caption="FTP Server" versions="[3.4.0,8.0.0]"></global-cloud-connector>
  <global-cloud-connector connectivityTesting="off" extends="http://www.mulesoft.org/schema/mule/ftpserver/parentConfig" abstract="false" image="icons/large/ftpserver-connector-48x32.png" localId="config" icon="icons/small/ftpserver-connector-24x16.png" description="Global FTP Server configuration information." caption="FTP Server" versions="[3.4.0,8.0.0]">
    <attribute-category description="Ftpserver configuration properties." caption="General">
      <group caption="Basic Settings" id="ftpserverGenericProperties">
        <name required="true" description="Give a name to this configuration so it can be later referenced by config-ref." caption="Name" name="name"></name>
      </group>
      <group caption="General" id="general">
        <integer step="1" min="0" defaultValue="22" javaType="int" required="false" description="FTP/SFTP server port.
If is not defined, the default value is 22.." caption="Port" name="port"></integer>
        <boolean defaultValue="false" javaType="boolean" required="false" supportsExpressions="true" description="Defines if is FTP over ssh(SFTP).
If is not defined,the default value is false.." caption="Secure" name="secure"></boolean>
      </group>
    </attribute-category>
  </global-cloud-connector>
  <cloud-connector abstract="true" category="org.mule.tooling.category.munit.utils" image="icons/large/ftpserver-connector-48x32.png" localId="abstractFtpserverConnectorGeneric" icon="icons/small/ftpserver-connector-24x16.png" description="Interact with Ftpserver." caption="Abstractftpserverconnectorgeneric">
    <attribute-category description="General." caption="General">
      <group caption="Basic Settings" id="abstractFtpserverConnectorGeneric">
        <globalRef requiredType="http://www.mulesoft.org/schema/mule/ftpserver/config" required="true" description="Specify which configuration to use for this invocation." caption="Connector Configuration" name="config-ref"></globalRef>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector extends="http://www.mulesoft.org/schema/mule/ftpserver/abstractFtpserverConnectorGeneric" category="org.mule.tooling.category.munit.utils" image="icons/large/ftpserver-connector-48x32.png" localId="ftpserver-connector" icon="icons/small/ftpserver-connector-24x16.png" description="FTP server for Integration tests.

With this module you can start a FTP server on your local machine ." caption="FTP Server" aliasId="org.mule.tooling.ui.modules.core.pattern.ftpserver" versions="[3.4.0,8.0.0]">
    <attribute-category description="General." caption="General">
      <group caption="Basic Settings" id="ftpserverConnectorGeneric">
        <modeSwitch alwaysCombo="true" description="Operation." caption="Operation" name="Ftpserver operations to execute">
          <mode modeLabel="Contains files" modeId="http://www.mulesoft.org/schema/mule/ftpserver/contains-files"></mode>
          <mode modeLabel="Remove" modeId="http://www.mulesoft.org/schema/mule/ftpserver/remove"></mode>
          <mode modeLabel="Start server" modeId="http://www.mulesoft.org/schema/mule/ftpserver/start-server"></mode>
          <mode modeLabel="Stop server" modeId="http://www.mulesoft.org/schema/mule/ftpserver/stop-server"></mode>
        </modeSwitch>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/ftpserver/abstractFtpserverConnectorGeneric" abstract="true" category="org.mule.tooling.category.munit.utils" image="icons/large/ftpserver-connector-48x32.png" localId="contains-files" icon="icons/small/ftpserver-connector-24x16.png" caption="Contains Files">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="true" description="The file name that you want to check if is in the ftp." caption="File" name="file"></string>
        <string javaType="java.lang.String" required="true" description="Path where is going to be the file." caption="Path" name="path"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/ftpserver/abstractFtpserverConnectorGeneric" abstract="true" category="org.mule.tooling.category.munit.utils" image="icons/large/ftpserver-connector-48x32.png" localId="remove" icon="icons/small/ftpserver-connector-24x16.png" caption="Remove">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="true" description="Path to be removed." caption="Path" name="path"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/ftpserver/abstractFtpserverConnectorGeneric" abstract="true" category="org.mule.tooling.category.munit.utils" image="icons/large/ftpserver-connector-48x32.png" localId="start-server" icon="icons/small/ftpserver-connector-24x16.png" caption="Start Server">
    <attribute-category description="General." caption="General"></attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/ftpserver/abstractFtpserverConnectorGeneric" abstract="true" category="org.mule.tooling.category.munit.utils" image="icons/large/ftpserver-connector-48x32.png" localId="stop-server" icon="icons/small/ftpserver-connector-24x16.png" caption="Stop Server">
    <attribute-category description="General." caption="General"></attribute-category>
  </cloud-connector>
</namespace>